import { apiClient } from "@/src/lib/api/api-client";

export const getGalleryService = async (id_chatbot: string) => {
    try {
        const response = await apiClient.post('chat/getResourcesGallery',{
            id_chatbot:id_chatbot,
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}


export const getContactBySesionService = async (id_chatbot: string,sesion: string) => {
    try {
        const response = await apiClient.post('chat/contacts/get',{
            id_chatbot:id_chatbot,
            sesion:sesion
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const getContactAllService = async (id_chatbot: string) => {
    try {
        const response = await apiClient.post('chat/contacts/getall',{
            id_chatbot:id_chatbot
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const createOrUpdateContactsService = async (id_chatbot: string,sesion: string,contact: any) => {
    try {
        const response = await apiClient.post('chat/contacts',{
            id_chatbot:id_chatbot,
            sesion:sesion,
            id:contact.id,
            mail:contact.email || null,
            nombre:contact.name,
            ciudad:contact.city || null,
            direccion:contact.address || null,
            status:contact.state || null,
            telefono_fijo:null,
            campo1:contact.management1 || null,
            campo2:contact.management2 || null,
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const resendMessageService = async (id_chatbot: string,sesion: string,id: number,commentary: string) => {
    try {
        const response = await apiClient.post('chat/resendMessage',{
            id_chatbot:id_chatbot,
            sesion:sesion,
            id:id,
            commentary:commentary
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const getContactsNewConversationService = async (id_chatbot: string) => {
    try {
        const response = await apiClient.post('chat/contacts/new-conversation',{
            id_chatbot:id_chatbot
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const searchContactsService = async (id_chatbot: string,search: string) => {
    try {
        const response = await apiClient.post('chat/search/contacts',{
            id_chatbot:id_chatbot,
            search:search,
            type:1
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}


export const searchContactsByIdChatbotActiveService = async (id_chatbot: string,search: string) => {
    try {
        const response = await apiClient.post('chat/contacts/search',{
            id_chatbot:id_chatbot,
            search:search
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}